## org.eclipse.amp.amf.testing.aTest
Interface ATestFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ATestFactoryImpl

    public interface ATestFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `ATestPackage`

Field Summary
`static ATestFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`Constraint` `createConstraint()` Returns a new object of class 'Constraint'.
`Model` `createModel()` Returns a new object of class 'Model'.
`TestMember` `createTestMember()` Returns a new object of class 'Test Member'.
`Tests` `createTests()` Returns a new object of class 'Tests'.
`ATestPackage` `getATestPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final ATestFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createModel

    Model createModel()

  Returns a new object of class 'Model'.

  Returns:
    a new object of class 'Model'.

### createTests

    Tests createTests()

  Returns a new object of class 'Tests'.

  Returns:
    a new object of class 'Tests'.

### createTestMember

    TestMember createTestMember()

  Returns a new object of class 'Test Member'.

  Returns:
    a new object of class 'Test Member'.

### createConstraint

    Constraint createConstraint()

  Returns a new object of class 'Constraint'.

  Returns:
    a new object of class 'Constraint'.

### getATestPackage

    ATestPackage getATestPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.